This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1030810 - edit-node should not change file name when the output name is specified on command line
edit-node should not change file name when the output name is specified on co...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.3
Unspecified Unspecified
medium Severity high
: ---
: 3.4.2
Assigned To: Joey Boggs
bugs@ovirt.org
node
:
Depends On:
Blocks: 1031480
  Show dependency treegraph
 
Reported: 2013-11-15 03:22 EST by Guohua Ouyang
Modified: 2014-06-04 10:20 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031480 (view as bug list)
Environment:
Last Closed: 2014-06-04 10:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guohua Ouyang 2013-11-15 03:22:05 EST
Description of problem:
Edit the iso file with a plugin or package, also specify the name by "--name" or "-n", 
it will append the plugin's name to the generated iso, sometimes this is really not what the user want to get.

eg: #edit-node --repo=./igor.repo --install=ovirt-autotesting-sysvinit-20130516-1.gitaffb09f.fc18.noarch -n igor rhev-hypervisor.iso 
it will get igor.ovirt-autotesting-sysvinit-20130516-1.gitaffb09f.fc18.noarch.iso,
just generate igor.iso is much better.

Version-Release number of selected component (if applicable):
ovirt-node-3.0.1-7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. 

Actual results:


Expected results:
Comment 1 Sandro Bonazzola 2014-03-04 04:18:23 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 2 Joey Boggs 2014-06-04 10:19:51 EDT
Fixed already:  Change-Id: I41b9a3264961c929cce820a94adf258180401e49

Note You need to log in before you can comment on or make changes to this bug.